Public Attributes | List of all members
_dma_handle Struct Reference
Peripheral Driver » HAL Driver » DMA » Structures » DMA handle

DMA handle Structure definition. More...

`#include <gr55xx_hal_dma.h>`

Collaboration diagram for _dma_handle:
[legend]

## Public Attributes
dma_regs_t * | p_instance
| DMA registers base address More...
dma_channel_t | channel
| DMA Channel Number More...
dma_init_t | init
| DMA communication parameters More...
hal_lock_t | lock
| DMA locking object More...
__IO hal_dma_state_t | state
| DMA transfer state More...
void * | p_parent
| Parent object state More...
void(* | xfer_tfr_callback )(struct _dma_handle *p_dma)
| DMA transfer complete callback More...
void(* | xfer_blk_callback )(struct _dma_handle *p_dma)
| DMA block complete callback More...
void(* | xfer_error_callback )(struct _dma_handle *p_dma)
| DMA transfer error callback More...
void(* | xfer_abort_callback )(struct _dma_handle *p_dma)
| DMA transfer abort callback More...
__IO uint32_t | error_code
| DMA Error code More...
uint32_t | retention [7]
| DMA important register information. More...

## Detailed Description

DMA handle Structure definition.

Definition at line 276 of file gr55xx_hal_dma.h.

## Member Data Documentation

## ◆ channel

dma_channel_t _dma_handle::channel

DMA Channel Number

Definition at line 280 of file gr55xx_hal_dma.h.

## ◆ error_code

__IO uint32_t _dma_handle::error_code

DMA Error code

Definition at line 298 of file gr55xx_hal_dma.h.

## ◆ init

dma_init_t _dma_handle::init

DMA communication parameters

Definition at line 282 of file gr55xx_hal_dma.h.

## ◆ lock

hal_lock_t _dma_handle::lock

DMA locking object

Definition at line 284 of file gr55xx_hal_dma.h.

## ◆ p_instance

dma_regs_t* _dma_handle::p_instance

DMA registers base address

Definition at line 278 of file gr55xx_hal_dma.h.

## ◆ p_parent

void* _dma_handle::p_parent

Parent object state

Definition at line 288 of file gr55xx_hal_dma.h.

## ◆ retention

uint32_t _dma_handle::retention[7]

DMA important register information.

Definition at line 300 of file gr55xx_hal_dma.h.

## ◆ state

__IO hal_dma_state_t _dma_handle::state

DMA transfer state

Definition at line 286 of file gr55xx_hal_dma.h.

## ◆ xfer_abort_callback

void(* _dma_handle::xfer_abort_callback) (struct _dma_handle *p_dma)

DMA transfer abort callback

Definition at line 296 of file gr55xx_hal_dma.h.

## ◆ xfer_blk_callback

void(* _dma_handle::xfer_blk_callback) (struct _dma_handle *p_dma)

DMA block complete callback

Definition at line 292 of file gr55xx_hal_dma.h.

## ◆ xfer_error_callback

void(* _dma_handle::xfer_error_callback) (struct _dma_handle *p_dma)

DMA transfer error callback

Definition at line 294 of file gr55xx_hal_dma.h.

## ◆ xfer_tfr_callback

void(* _dma_handle::xfer_tfr_callback) (struct _dma_handle *p_dma)

DMA transfer complete callback

Definition at line 290 of file gr55xx_hal_dma.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_dma.h